[BACK]Return to MESSAGE CVS log [TXT][DIR] Up to [cvs.NetBSD.org] / pkgsrc / sysutils / xenkernel415

File: [cvs.NetBSD.org] / pkgsrc / sysutils / xenkernel415 / MESSAGE (download)

Revision 1.2, Tue Sep 21 12:23:49 2021 UTC (12 months, 2 weeks ago) by bouyer
Branch: MAIN
CVS Tags: pkgsrc-2022Q1-base, pkgsrc-2022Q1, pkgsrc-2021Q4-base, pkgsrc-2021Q4, pkgsrc-2021Q3-base, pkgsrc-2021Q3
Changes since 1.1: +6 -1 lines

Update xenkernel415 and xentools415 to 4.15.1.
32bits PV guests are now unsupported security-wise, and upstream disables
them by default. This packages keep the support enabled for transition, but
this will change for the next quarter branch. It is recommended to switch to
pvh+pvshim for PV guests (or pvh if you run netbsd-current).
Other changes are bugfixes, including fixes for XSA up to XSA-384

===========================================================================
$NetBSD: MESSAGE,v 1.2 2021/09/21 12:23:49 bouyer Exp $

The Xen hypervisor is installed under the following locations:
	${XENKERNELDIR}/xen.gz		(standard hypervisor)
	${XENKERNELDIR}/xen-debug.gz	(debug hypervisor)

Note that unlike upstream Xen, pv-linear-pt defaults to true.
You can disable it using pv-linear-pt=false on the Xen command line,
but then you can't boot NetBSD in PV mode.

Unlike upstream Xen, 32bits PV guests support is eanbled by default, but
this is not security-supported any more, and will be disabled in the
next pkgsrc release. Switch to pvshim (for netbsd-9 or older) or pvh
(for netbsd-current).
===========================================================================